Library Version 18.1.40

db get_join
Prev | Chapter 1. Berkeley DB Tcl APIs | Next

## db get_join

    db get_join
    	[-txn txnid]
    	{db key}
    	{db key}
    	...

The db get_join command performs the cursor operations required to join the specified keys and returns a list of joined {key data} pairs. See Equality Join in the Berkeley DB Programmer's Reference Guide for more information on the underlying requirements for joining.

The options are as follows:

- -txn txnid

  If the operation is part of an application-specified transaction, the txnid parameter is a transaction handle returned from env txn. If no transaction handle is specified, but the operation occurs in a transactional database, the operation will be implicitly transaction protected.

In the case of error, a Tcl error is thrown.

Prev | Up | Next
db get | Home | db get_type